Page MenuHomePhabricator

Enable Scap3 config deploys for MCS
Closed, ResolvedPublic

Description

T144542: Enable config deploys for service::node services creates the ability for service owners to keep their configuration in the deploy repository and thus have full control over it. We should implement this for MCS.

Details

Related Gerrit Patches:
operations/puppet : productionMobileApps: Switch to Scap3 config deploys
mediawiki/services/mobileapps/deploy : masterConfig deploys: Add the config file Scap3 definition
mediawiki/services/mobileapps/deploy : masterSwitch to Scap3 config deploys

Event Timeline

mobrovac created this task.Sep 2 2016, 2:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 2 2016, 2:00 PM
demon moved this task from Needs triage to Services improvements on the Scap board.Dec 8 2016, 1:56 AM
mobrovac claimed this task.Dec 16 2016, 2:44 AM
mobrovac edited projects, added Services (doing); removed Services.

Change 327723 had a related patch set uploaded (by Mobrovac):
MobileApps: Switch to Scap3 config deploys

https://gerrit.wikimedia.org/r/327723

Change 327724 had a related patch set uploaded (by Mobrovac):
Switch to Scap3 config deploys

https://gerrit.wikimedia.org/r/327724

Change 327724 merged by Mobrovac:
Switch to Scap3 config deploys

https://gerrit.wikimedia.org/r/327724

Change 327725 had a related patch set uploaded (by Mobrovac):
Config deploys: Add the config file Scap3 definition

https://gerrit.wikimedia.org/r/327725

Change 327725 merged by Mobrovac:
Config deploys: Add the config file Scap3 definition

https://gerrit.wikimedia.org/r/327725

Change 327723 merged by Alexandros Kosiaris:
MobileApps: Switch to Scap3 config deploys

https://gerrit.wikimedia.org/r/327723

Mentioned in SAL (#wikimedia-operations) [2016-12-16T13:12:38Z] <mobrovac@tin> Starting deploy [mobileapps/deploy@c67a5ef]: Switching MCS in codfw to Scap3 deploys T144598

Mentioned in SAL (#wikimedia-operations) [2016-12-16T13:13:41Z] <mobrovac@tin> Finished deploy [mobileapps/deploy@c67a5ef]: Switching MCS in codfw to Scap3 deploys T144598 (duration: 01m 03s)

Mentioned in SAL (#wikimedia-operations) [2016-12-16T13:21:06Z] <mobrovac@tin> Starting deploy [mobileapps/deploy@c67a5ef]: Switching MCS in eqiad to Scap3 deploys T144598

Mentioned in SAL (#wikimedia-operations) [2016-12-16T13:21:40Z] <mobrovac@tin> Finished deploy [mobileapps/deploy@c67a5ef]: Switching MCS in eqiad to Scap3 deploys T144598 (duration: 00m 34s)

mobrovac closed this task as Resolved.Dec 16 2016, 1:24 PM
mobrovac edited projects, added Services (done); removed Patch-For-Review, Services (doing).
mobrovac edited subscribers, added: bearND; removed: Stashbot, gerritbot.

MCS has been switched to use Scap3 for config deploys, so resolving. This means that from now on if any config changes are needed, they can be done directly in the deploy repo's config template file.